OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.BindlessTexture

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBBindlessTexture :: MonadIO m => m Bool
- gl_ARB_bindless_texture :: Bool
- gl_UNSIGNED_INT64_ARB :: GLenum
- glGetImageHandleARB :: MonadIO m => GLuint -> GLint -> GLboolean -> GLint -> GLenum -> m GLuint64
- glGetTextureHandleARB :: MonadIO m => GLuint -> m GLuint64
- glGetTextureSamplerHandleARB :: MonadIO m => GLuint -> GLuint -> m GLuint64
- glGetVertexAttribLui64vARB :: MonadIO m => GLuint -> GLenum -> Ptr GLuint64EXT -> m ()
- glIsImageHandleResidentARB :: MonadIO m => GLuint64 -> m GLboolean
- glIsTextureHandleResidentARB :: MonadIO m => GLuint64 -> m GLboolean
- glMakeImageHandleNonResidentARB :: MonadIO m => GLuint64 -> m ()
- glMakeImageHandleResidentARB :: MonadIO m => GLuint64 -> GLenum -> m ()
- glMakeTextureHandleNonResidentARB :: MonadIO m => GLuint64 -> m ()
- glMakeTextureHandleResidentARB :: MonadIO m => GLuint64 -> m ()
- glProgramUniformHandleui64ARB :: MonadIO m => GLuint -> GLint -> GLuint64 -> m ()
- glProgramUniformHandleui64vARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint64 -> m ()
- glUniformHandleui64ARB :: MonadIO m => GLint -> GLuint64 -> m ()
- glUniformHandleui64vARB :: MonadIO m => GLint -> GLsizei -> Ptr GLuint64 -> m ()
- glVertexAttribL1ui64ARB :: MonadIO m => GLuint -> GLuint64EXT -> m ()
- glVertexAttribL1ui64vARB :: MonadIO m => GLuint -> Ptr GLuint64EXT -> m ()

# Extension Support

glGetARBBindlessTexture :: MonadIO m => m Bool

Is the ARB_bindless_texture extension supported?

gl_ARB_bindless_texture :: Bool

Is the ARB_bindless_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBBindlessTexture` in those cases instead.

# Enums

gl_UNSIGNED_INT64_ARB :: GLenum

# Functions

glGetImageHandleARB

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLboolean | `layered`.
-> GLint | `layer`.
-> GLenum | `format`.
-> m GLuint64 |

glGetTextureHandleARB

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> m GLuint64 |

glGetTextureSamplerHandleARB

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLuint | `sampler`.
-> m GLuint64 |

glGetVertexAttribLui64vARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname`.
-> Ptr GLuint64EXT | `params`.
-> m () |

glIsImageHandleResidentARB

Arguments

:: MonadIO m |
=> GLuint64 | `handle`.
-> m GLboolean |

glIsTextureHandleResidentARB

Arguments

:: MonadIO m |
=> GLuint64 | `handle`.
-> m GLboolean |

glMakeImageHandleNonResidentARB

Arguments

:: MonadIO m |
=> GLuint64 | `handle`.
-> m () |

glMakeImageHandleResidentARB

Arguments

:: MonadIO m |
=> GLuint64 | `handle`.
-> GLenum | `access`.
-> m () |

glMakeTextureHandleNonResidentARB

Arguments

:: MonadIO m |
=> GLuint64 | `handle`.
-> m () |

glMakeTextureHandleResidentARB

Arguments

:: MonadIO m |
=> GLuint64 | `handle`.
-> m () |

glProgramUniformHandleui64ARB

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint64 | `value`.
-> m () |

glProgramUniformHandleui64vARB

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64 | `values` pointing to `count` elements of type `GLuint64`.
-> m () |

glUniformHandleui64ARB

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint64 | `value`.
-> m () |

glUniformHandleui64vARB

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64 | `value` pointing to `count` elements of type `GLuint64`.
-> m () |

glVertexAttribL1ui64ARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint64EXT | `x`.
-> m () |

glVertexAttribL1ui64vARB

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> Ptr GLuint64EXT | `v`.
-> m () |